# This file was generated by running 'miaxml2nipype.py /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/doc/mia-2dfluid-syn-registration.xml /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dfluid_syn_registration.py'
# '/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dfluid_syn_registration.py' can be created by running 'mia-2dfluid-syn-registration --help-xml >/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dfluid_syn_registration.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dfluid_syn_registration_InputSpec(CommandLineInputSpec):
	in_image = traits.File( desc="""test image""", argstr="--in-image %s", exists=True , mandatory = True )
	ref_image = traits.File( desc="""reference image""", argstr="--ref-image %s", exists=True , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	mg_levels = traits.Int( desc="""Number of multi-resolution levels to run the registration on. Not that some registration parameters can be given as a coma seperated list to indicate per level values. In these cases  if the number of given values is smaller than the number of multi-resolution levels (this parameter), the the last given value is used for all subsequest multi-resolution levels.""", argstr="--mg-levels %d" )
	step = traits.Float( desc="""Initial step size for all levels""", argstr="--step %f" )
	cost = traits.String( desc="""Image similarity function to be minimized""", argstr="--cost %s" )
	regularizer = traits.String( desc="""Regularization for the force to transformation update""", argstr="--regularizer %s" )
	conv_test_interval = traits.ListInt( desc="""Convergence test interations intervall: In order to measure convergence the cost function value is averaged over this amount of iterations, and the decline rate is evaluated based on the linare regression of the cost function values in this intervall. This parameter can be given as a coma-seperated list with values corresponding to the multi-resolution levels, see option --mg-levels for more information.""", argstr="--conv-test-interval %s", sep=",")
	stop_decline_rate = traits.ListFloat( desc="""Stopping criterium for registration based on the cost decline rate. If the rate below this value, the iteration is stopped. This parameter can be given as a coma-seperated list with values corresponding to the multi-resolution levels, see option --mg-levels for more information.""", argstr="--stop-decline-rate %s", sep=",")
	stop_cost = traits.ListFloat( desc="""Stopping criterium for registration based on the cost value. If the cost drops below this value, the iteration is stopped. This parameter can be given as a coma-seperated list with values corresponding to the multi-resolution levels, see option --mg-levels for more information.""", argstr="--stop-cost %s", sep=",")
	iter = traits.ListInt( desc="""Naximum number if iterations done on each multi-resolution level. This parameter can be given as a coma-seperated list with values corresponding to the multi-resolution levels, see option --mg-levels for more information.""", argstr="--iter %s", sep=",")
	transform = File(desc="output transformation", argstr="--transform %s" , mandatory = True )
	inverse_transform = File(desc="inverse output transformation", argstr="--inverse-transform %s" , mandatory = True )

#
# Output specification
#
class mia_2dfluid_syn_registration_OutputSpec(TraitedSpec):
	transform = File(desc="output transformation", exists = True )
	inverse_transform = File(desc="inverse output transformation", exists = True )


#
# Task class specification
#
class mia_2dfluid_syn_registration(CommandLine):
	input_spec = mia_2dfluid_syn_registration_InputSpec
	output_spec = mia_2dfluid_syn_registration_OutputSpec
	_cmd = "mia-2dfluid-syn-registration"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['transform']=os.path.abspath(self.inputs.transform)
		outputs['inverse_transform']=os.path.abspath(self.inputs.inverse_transform)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dfluid_syn_registration()
	print( mia_prog.cmdline)
