# This file was generated by running 'miaxml2nipype.py /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/doc/mia-2dfuzzysegment.xml /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dfuzzysegment.py'
# '/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dfuzzysegment.py' can be created by running 'mia-2dfuzzysegment --help-xml >/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dfuzzysegment.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dfuzzysegment_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input image(s) to be segmenetd""", argstr="--in-file %s", exists=True , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	no_of_classes = traits.Int( desc="""number of classes""", argstr="--no-of-classes %d" )
	residuum = traits.Float( desc="""relative residuum""", argstr="--residuum %f" )
	l1 = traits.Float( desc="""Penalize magnitude of intensity inhomogeinity correction""", argstr="--l1 %f" )
	l2 = traits.Float( desc="""Smoothness of intensity inhomogeinity correction""", argstr="--l2 %f" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	cls_file = File(desc="output class probability images (floating point values and multi-image)", argstr="--cls-file %s" )
	b0_file = File(desc="image corrected for intensity non-uniformity", argstr="--b0-file %s" )
	gain_file = File(desc="gain field (floating point valued)", argstr="--gain-file %s" )

#
# Output specification
#
class mia_2dfuzzysegment_OutputSpec(TraitedSpec):
	cls_file = File(desc="output class probability images (floating point values and multi-image)")
	b0_file = File(desc="image corrected for intensity non-uniformity")
	gain_file = File(desc="gain field (floating point valued)")


#
# Task class specification
#
class mia_2dfuzzysegment(CommandLine):
	input_spec = mia_2dfuzzysegment_InputSpec
	output_spec = mia_2dfuzzysegment_OutputSpec
	_cmd = "mia-2dfuzzysegment"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['cls_file']=os.path.abspath(self.inputs.cls_file)
		outputs['b0_file']=os.path.abspath(self.inputs.b0_file)
		outputs['gain_file']=os.path.abspath(self.inputs.gain_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dfuzzysegment()
	print( mia_prog.cmdline)
