# This file was generated by running 'miaxml2nipype.py /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/doc/mia-2dgrayimage-combine-to-rgb.xml /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dgrayimage_combine_to_rgb.py'
# '/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dgrayimage_combine_to_rgb.py' can be created by running 'mia-2dgrayimage-combine-to-rgb --help-xml >/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dgrayimage_combine_to_rgb.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dgrayimage_combine_to_rgb_InputSpec(CommandLineInputSpec):
	blue = traits.File( desc="""input image for blue channel""", argstr="--blue %s", exists=True )
	green = traits.File( desc="""input image for green channel""", argstr="--green %s", exists=True )
	red = traits.File( desc="""input image for red channel""", argstr="--red %s", exists=True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="combined output image", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_2dgrayimage_combine_to_rgb_OutputSpec(TraitedSpec):
	out_file = File(desc="combined output image", exists = True )


#
# Task class specification
#
class mia_2dgrayimage_combine_to_rgb(CommandLine):
	input_spec = mia_2dgrayimage_combine_to_rgb_InputSpec
	output_spec = mia_2dgrayimage_combine_to_rgb_OutputSpec
	_cmd = "mia-2dgrayimage-combine-to-rgb"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dgrayimage_combine_to_rgb()
	print( mia_prog.cmdline)
