# This file was generated by running 'miaxml2nipype.py /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/doc/mia-2dimagefilterstack.xml /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dimagefilterstack.py'
# '/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dimagefilterstack.py' can be created by running 'mia-2dimagefilterstack --help-xml >/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dimagefilterstack.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dimagefilterstack_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input image(s) to be filtered""", argstr="--in-file %s", exists=True , mandatory = True )
	type = traits.Enum("-", "@", "BMP", "DCM", "EXR", "JPEG", "JPG", "PNG", "RAW", "TIF", "TIFF", "V", "VISTA", "bmp", "dcm", "exr", "jpeg", "jpg", "png", "raw", "tif", "tiff", "v", "vista",  desc="""output file type, if not given the input type is used""", argstr="--type %s" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	start = traits.Int( desc="""first possible number of file number range to be filtered""", argstr="--start %d" )
	end = traits.Int( desc="""last possible number of file number range to be filtered""", argstr="--end %d" )
	out_file = File(desc="output file name base, the file type is set  accurding to the 'type' option", argstr="--out-file %s" , mandatory = True )
	free_params = traits.ListStr(desc="Plug-in specifications of type 2dimage/filter", argstr="%s")
#
# Output specification
#
class mia_2dimagefilterstack_OutputSpec(TraitedSpec):
	out_file = File(desc="output file name base, the file type is set  accurding to the 'type' option", exists = True )


#
# Task class specification
#
class mia_2dimagefilterstack(CommandLine):
	input_spec = mia_2dimagefilterstack_InputSpec
	output_spec = mia_2dimagefilterstack_OutputSpec
	_cmd = "mia-2dimagefilterstack"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dimagefilterstack()
	print( mia_prog.cmdline)
