# This file was generated by running 'miaxml2nipype.py /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/doc/mia-2dmyoica-nonrigid.xml /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dmyoica_nonrigid.py'
# '/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dmyoica_nonrigid.py' can be created by running 'mia-2dmyoica-nonrigid --help-xml >/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dmyoica_nonrigid.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dmyoica_nonrigid_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input perfusion data set""", argstr="--in-file %s", exists=True , mandatory = True )
	registered = traits.String( desc="""file name base for registered fiels""", argstr="--registered %s" )
	save_cropped = traits.String( desc="""save cropped set to this file""", argstr="--save-cropped %s" )
	save_feature = traits.String( desc="""save the features images resulting from the ICA and some intermediate images used for the RV-LV segmentation with the given file name base to PNG files. Also save the coefficients of the initial best and the final IC mixing matrix.""", argstr="--save-feature %s" )
	save_refs = traits.String( desc="""save synthetic reference images""", argstr="--save-refs %s" )
	save_regs = traits.String( desc="""save intermediate registered images""", argstr="--save-regs %s" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	fastica = traits.String( desc="""FastICA implementationto be used""", argstr="--fastica %s" )
	components = traits.Int( desc="""ICA components 0 = automatic estimation""", argstr="--components %d" )
	normalize = traits.Bool( desc="""normalized ICs""", argstr="--normalize" )
	no_meanstrip = traits.Bool( desc="""don't strip the mean from the mixing curves""", argstr="--no-meanstrip" )
	segscale = traits.Float( desc="""segment and scale the crop box around the LV (0=no segmentation)""", argstr="--segscale %f" )
	skip = traits.Int( desc="""skip images at the beginning of the series e.g. because as they are of other modalities""", argstr="--skip %d" )
	max_ica_iter = traits.Int( desc="""maximum number of iterations in ICA""", argstr="--max-ica-iter %d" )
	segmethod = traits.Enum("delta-peak", "features", "delta-feature",  desc="""Segmentation method""", argstr="--segmethod %s" )
	min_breathing_frequency = traits.Float( desc="""minimal mean frequency a mixing curve can have to be considered to stem from brething. A healthy rest breating rate is 12 per minute. A negative value disables the test.""", argstr="--min-breathing-frequency %f" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	optimizer = traits.String( desc="""Optimizer used for minimization""", argstr="--optimizer %s" )
	refiner = traits.String( desc="""optimizer used for refinement after the main optimizer was called""", argstr="--refiner %s" )
	start_c_rate = traits.Float( desc="""start coefficinet rate in spines, gets divided by --c-rate-divider with every pass""", argstr="--start-c-rate %f" )
	c_rate_divider = traits.Float( desc="""cofficient rate divider for each pass""", argstr="--c-rate-divider %f" )
	start_divcurl = traits.Float( desc="""start divcurl weight, gets divided by --divcurl-divider with every pass""", argstr="--start-divcurl %f" )
	divcurl_divider = traits.Float( desc="""divcurl weight scaling with each new pass""", argstr="--divcurl-divider %f" )
	imagecost = traits.String( desc="""image cost""", argstr="--imagecost %s" )
	mg_levels = traits.Int( desc="""multi-resolution levels""", argstr="--mg-levels %d" )
	passes = traits.Int( desc="""registration passes""", argstr="--passes %d" )
	out_file = File(desc="output perfusion data set", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_2dmyoica_nonrigid_OutputSpec(TraitedSpec):
	out_file = File(desc="output perfusion data set", exists = True )


#
# Task class specification
#
class mia_2dmyoica_nonrigid(CommandLine):
	input_spec = mia_2dmyoica_nonrigid_InputSpec
	output_spec = mia_2dmyoica_nonrigid_OutputSpec
	_cmd = "mia-2dmyoica-nonrigid"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dmyoica_nonrigid()
	print( mia_prog.cmdline)
