# This file was generated by running 'miaxml2nipype.py /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/doc/mia-2dmyoseries-compdice.xml /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dmyoseries_compdice.py'
# '/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dmyoseries_compdice.py' can be created by running 'mia-2dmyoseries-compdice --help-xml >/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dmyoseries_compdice.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dmyoseries_compdice_InputSpec(CommandLineInputSpec):
	first = traits.File( desc="""first segmentation set""", argstr="--first %s", exists=True , mandatory = True )
	second = traits.File( desc="""second segmentation set""", argstr="--second %s", exists=True , mandatory = True )
	skip = traits.Int( desc="""images to skip atthe begin of the series""", argstr="--skip %d" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )

#
# Output specification
#
class mia_2dmyoseries_compdice_OutputSpec(TraitedSpec):
	stdout = traits.Str('result from stdout')


#
# Task class specification
#
class mia_2dmyoseries_compdice(CommandLine):
	input_spec = mia_2dmyoseries_compdice_InputSpec
	output_spec = mia_2dmyoseries_compdice_OutputSpec
	_cmd = "mia-2dmyoseries-compdice"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		return outputs
	def aggregate_outputs(self, runtime=None, needed_outputs=None):
		outputs = super(mia_2dmyoseries_compdice, self).aggregate_outputs(runtime, needed_outputs)
		outputs.stdout = runtime.stdout
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dmyoseries_compdice()
	print( mia_prog.cmdline)
