# This file was generated by running 'miaxml2nipype.py /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/doc/mia-2dsegment-per-pixel-kmeans.xml /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dsegment_per_pixel_kmeans.py'
# '/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dsegment_per_pixel_kmeans.py' can be created by running 'mia-2dsegment-per-pixel-kmeans --help-xml >/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dsegment_per_pixel_kmeans.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dsegment_per_pixel_kmeans_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""image to be segmented""", argstr="--in-file %s", exists=True , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	window = traits.Int( desc="""Window size around the pixel to be analyzed""", argstr="--window %d" )
	nclasses = traits.Int( desc="""Number of intensity classes to segment""", argstr="--nclasses %d" )
	relative_cluster_threshold = traits.Float( desc="""Number of intensity classes to segment""", argstr="--relative-cluster-threshold %f" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="class label image based on merging local labels", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_2dsegment_per_pixel_kmeans_OutputSpec(TraitedSpec):
	out_file = File(desc="class label image based on merging local labels", exists = True )


#
# Task class specification
#
class mia_2dsegment_per_pixel_kmeans(CommandLine):
	input_spec = mia_2dsegment_per_pixel_kmeans_InputSpec
	output_spec = mia_2dsegment_per_pixel_kmeans_OutputSpec
	_cmd = "mia-2dsegment-per-pixel-kmeans"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dsegment_per_pixel_kmeans()
	print( mia_prog.cmdline)
