# This file was generated by running 'miaxml2nipype.py /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/doc/mia-2dsegmentcropbox.xml /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dsegmentcropbox.py'
# '/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dsegmentcropbox.py' can be created by running 'mia-2dsegmentcropbox --help-xml >/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dsegmentcropbox.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dsegmentcropbox_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input segmentation set""", argstr="--in-file %s", exists=True , mandatory = True )
	override_imagepath = traits.Bool( desc="""Instead of using the path of the image files as given in the segmentation set, assume the files are located in the current directory""", argstr="--override-imagepath" )
	cropped_base = traits.String( desc="""Base name for the cropped image files, the file type and numbering will be based on the input image file type and numbering.""", argstr="--cropped-base %s" )
	enlarge = traits.Float( desc="""Enlarge the area around the obtained sbounding box by this number of pixels in each direction""", argstr="--enlarge %f" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output segmentation set", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_2dsegmentcropbox_OutputSpec(TraitedSpec):
	out_file = File(desc="output segmentation set", exists = True )


#
# Task class specification
#
class mia_2dsegmentcropbox(CommandLine):
	input_spec = mia_2dsegmentcropbox_InputSpec
	output_spec = mia_2dsegmentcropbox_OutputSpec
	_cmd = "mia-2dsegmentcropbox"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dsegmentcropbox()
	print( mia_prog.cmdline)
