# This file was generated by running 'miaxml2nipype.py /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/doc/mia-2dseries-sectionmask.xml /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dseries_sectionmask.py'
# '/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dseries_sectionmask.py' can be created by running 'mia-2dseries-sectionmask --help-xml >/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_2dseries_sectionmask.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dseries_sectionmask_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input segmentation set""", argstr="--in-file %s", exists=True , mandatory = True )
	frame = traits.Int( desc="""Frame number for which to extract the mask""", argstr="--frame %d" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output image containing the mask", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_2dseries_sectionmask_OutputSpec(TraitedSpec):
	out_file = File(desc="output image containing the mask", exists = True )


#
# Task class specification
#
class mia_2dseries_sectionmask(CommandLine):
	input_spec = mia_2dseries_sectionmask_InputSpec
	output_spec = mia_2dseries_sectionmask_OutputSpec
	_cmd = "mia-2dseries-sectionmask"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dseries_sectionmask()
	print( mia_prog.cmdline)
