# This file was generated by running 'miaxml2nipype.py /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/doc/mia-3dcrispsegment.xml /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_3dcrispsegment.py'
# '/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_3dcrispsegment.py' can be created by running 'mia-3dcrispsegment --help-xml >/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_3dcrispsegment.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_3dcrispsegment_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input class file, should contain multiple images with tissue class probabilities""", argstr="--in-file %s", exists=True , mandatory = True )
	label_offset = traits.Int( desc="""label offset""", argstr="--label-offset %d" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output class label image", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_3dcrispsegment_OutputSpec(TraitedSpec):
	out_file = File(desc="output class label image", exists = True )


#
# Task class specification
#
class mia_3dcrispsegment(CommandLine):
	input_spec = mia_3dcrispsegment_InputSpec
	output_spec = mia_3dcrispsegment_OutputSpec
	_cmd = "mia-3dcrispsegment"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_3dcrispsegment()
	print( mia_prog.cmdline)
