# This file was generated by running 'miaxml2nipype.py /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/doc/mia-3dgetslice.xml /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_3dgetslice.py'
# '/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_3dgetslice.py' can be created by running 'mia-3dgetslice --help-xml >/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_3dgetslice.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_3dgetslice_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input image(s) to be filtered""", argstr="--in-file %s", exists=True , mandatory = True )
	type = traits.Enum("bmp", "datapool", "dicom", "exr", "jpg", "png", "raw", "tif", "vista",  desc="""output file type for number != 1""", argstr="--type %s" )
	start = traits.Int( desc="""start slice number""", argstr="--start %d" )
	number = traits.Int( desc="""number of slices (all=0)""", argstr="--number %d" )
	ndigits = traits.Int( desc="""minimum number of digits of the file name numbers (if n != 1)""", argstr="--ndigits %d" )
	dir = traits.Enum("xz", "yz", "xy",  desc="""slice direction (xy=axial, xz=coronal, yz=saggital)""", argstr="--dir %s" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output image(s). If number != 1 than this is used as a base name and should be given without extension since this will be based on the '--type' option. If number=1 then this exact file name will be used.", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_3dgetslice_OutputSpec(TraitedSpec):
	out_file = File(desc="output image(s). If number != 1 than this is used as a base name and should be given without extension since this will be based on the '--type' option. If number=1 then this exact file name will be used.", exists = True )


#
# Task class specification
#
class mia_3dgetslice(CommandLine):
	input_spec = mia_3dgetslice_InputSpec
	output_spec = mia_3dgetslice_OutputSpec
	_cmd = "mia-3dgetslice"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_3dgetslice()
	print( mia_prog.cmdline)
