# This file was generated by running 'miaxml2nipype.py /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/doc/mia-3dlandmarks-transform.xml /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_3dlandmarks_transform.py'
# '/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_3dlandmarks_transform.py' can be created by running 'mia-3dlandmarks-transform --help-xml >/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_3dlandmarks_transform.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_3dlandmarks_transform_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input landmark set""", argstr="--in-file %s", exists=True , mandatory = True )
	transformation = traits.File( desc="""transformation file""", argstr="--transformation %s", exists=True , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output landmark set", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_3dlandmarks_transform_OutputSpec(TraitedSpec):
	out_file = File(desc="output landmark set", exists = True )


#
# Task class specification
#
class mia_3dlandmarks_transform(CommandLine):
	input_spec = mia_3dlandmarks_transform_InputSpec
	output_spec = mia_3dlandmarks_transform_OutputSpec
	_cmd = "mia-3dlandmarks-transform"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_3dlandmarks_transform()
	print( mia_prog.cmdline)
