# This file was generated by running 'miaxml2nipype.py /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/doc/mia-3drigidreg.xml /build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_3drigidreg.py'
# '/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_3drigidreg.py' can be created by running 'mia-3drigidreg --help-xml >/build/mia-1j8l6N/mia-2.4.6/obj-s390x-linux-gnu/src/mia_3drigidreg.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_3drigidreg_InputSpec(CommandLineInputSpec):
	in_image = traits.File( desc="""test image""", argstr="--in-image %s", exists=True , mandatory = True )
	ref_image = traits.File( desc="""reference image""", argstr="--ref-image %s", exists=True , mandatory = True )
	cost = traits.String( desc="""cost function""", argstr="--cost %s" )
	levels = traits.Int( desc="""multigrid levels""", argstr="--levels %d" )
	optimizer = traits.String( desc="""Optimizer used for minimization""", argstr="--optimizer %s" )
	transForm = traits.String( desc="""transformation type""", argstr="--transForm %s" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_image = File(desc="registered output image", argstr="--out-image %s" , mandatory = True )
	transformation = File(desc="transformation output file name", argstr="--transformation %s" )

#
# Output specification
#
class mia_3drigidreg_OutputSpec(TraitedSpec):
	out_image = File(desc="registered output image", exists = True )
	transformation = File(desc="transformation output file name")


#
# Task class specification
#
class mia_3drigidreg(CommandLine):
	input_spec = mia_3drigidreg_InputSpec
	output_spec = mia_3drigidreg_OutputSpec
	_cmd = "mia-3drigidreg"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_image']=os.path.abspath(self.inputs.out_image)
		outputs['transformation']=os.path.abspath(self.inputs.transformation)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_3drigidreg()
	print( mia_prog.cmdline)
